# Generated by Django 2.1.7 on 2021-02-01 22:09

import django.contrib.postgres.fields.jsonb
from django.db import migrations


def create_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    try:
        customer_group = Group.objects.get(name = "Ventas")
    except:
        customer_group = Group.objects.create(name="Ventas")

    permission_list = [ "view_leadletcustomermodel", "add_leadletcustomermodel", "change_leadletcustomermodel",
    "delete_leadletcustomermodel", "view_leadcustomermodel", "add_leadcustomermodel", "change_leadcustomermodel",
    "delete_leadcustomermodel", "add_customermodel", "view_customermodel", "change_customermodel", 
    "delete_customermodel"]

    for permission_name in permission_list:

        perm = Permission.objects.get(codename=permission_name, content_type__app_label='customers')
        customer_group.permissions.add(perm)


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0003_auto_20201109_1324'),
    ]

    operations = [
        migrations.RunPython(create_groups)
    ]
